import { useSanityVisualEditingState } from "../composables/useSanityVisualEditingState.js";
import { getImage as getSanityImage } from "#image/providers/sanity";
export function getImage(src, { modifiers = {}, projectId, dataset, cacheEndpoint }, context) {
  if (cacheEndpoint && !(import.meta.client && useSanityVisualEditingState().enabled)) {
    const params = new URLSearchParams();
    params.set("src", src);
    params.set("modifiers", JSON.stringify(modifiers));
    return { url: cacheEndpoint + `?${params.toString()}` };
  }
  return getSanityImage(src, { modifiers, projectId, dataset }, context);
}
